## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%bcond_with check

%global forgeurl https://github.com/WizardMac/ReadStat
Version:        1.1.9
%forgemeta

Name:           readstat
Release:        %autorelease
Summary:        Read (and write) data sets from SAS, Stata, and SPSS
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
# Fix use after free
Patch0:         https://github.com/WizardMac/ReadStat/pull/298.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  autoconf
BuildRequires:  automake

BuildRequires:  gettext-devel
BuildRequires:  libtool

%description
Originally developed for Wizard, ReadStat is a command-line tool and
MIT-licensed C library for reading files from popular stats packages.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%package        tools
Summary:        Tools for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
The %{name}-tools package contains tools about %{name}.

%prep
%forgeautosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

%if %{with check}
%check
make check
%endif

%files
%license LICENSE
%doc README.md
%{_libdir}/libreadstat.so.1*

%files devel
%{_includedir}/readstat.h
%{_libdir}/libreadstat.so

%files tools
%{_bindir}/extract_metadata
%{_bindir}/readstat
%{_mandir}/man1/extract_metadata.1.gz
%{_mandir}/man1/readstat.1.gz

%changelog
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 topazus <topazus@outlook.com> 1.1.9-1
- initial import; rhbz#2254711
